/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.cache.aop.test;

/**
 *
 * @version $Revision: 2761 $
 * @@org.jboss.cache.aop.AopMarker
 */
public class Resource
{
   String connection = null;
   String name = null;
   byte[] bin = null;

   public String getName()
   {
      return name;
   }

   public void setName(String name)
   {
      this.name = name;
   }

   public String getConnection()
   {
      return connection;
   }

   public void setConnection(String connection)
   {
      this.connection = connection;
   }

   public byte[] getByte()
   {
      return bin;
   }

   public void setByte(byte[] b)
   {
      bin = b;
   }

   public String toString()
   {
      return "name=" + getName() + ", type=" + getConnection() + " bytes= " +bin.toString();
   }
}
